<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.sasl.gssapi</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.sasl-module.html">Package&nbsp;sasl</a> ::
        Module&nbsp;gssapi
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.sasl.gssapi-module.html">Module pyxmpp.sasl.gssapi</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2008 Jelmer Vernooij &lt;jelmer@samba.org&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"><tt class="py-docstring">"""GSSAPI authentication mechanism for PyXMPP SASL implementation.</tt> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line"><tt class="py-docstring">Normative reference:</tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"><tt class="py-docstring">  - `RFC 4752 &lt;http://www.ietf.org/rfc/rfc4752.txt&gt;`__</tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"><tt class="py-docstring">"""</tt> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line"><tt class="py-name">__docformat__</tt><tt class="py-op">=</tt><tt class="py-string">"restructuredtext en"</tt> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line"> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt id="link-0" class="py-name" targets="Method pyxmpp.sasl.core.Reply.base64()=pyxmpp.sasl.core.Reply-class.html#base64"><a title="pyxmpp.sasl.core.Reply.base64" class="py-name" href="#" onclick="return doclink('link-0', 'base64', 'link-0');">base64</a></tt> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">kerberos</tt> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line"> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">logging</tt> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line"> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-1" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-1', 'pyxmpp', 'link-1');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-2" class="py-name" targets="Package pyxmpp.sasl=pyxmpp.sasl-module.html"><a title="pyxmpp.sasl" class="py-name" href="#" onclick="return doclink('link-2', 'sasl', 'link-2');">sasl</a></tt><tt class="py-op">.</tt><tt id="link-3" class="py-name" targets="Module pyxmpp.sasl.core=pyxmpp.sasl.core-module.html"><a title="pyxmpp.sasl.core" class="py-name" href="#" onclick="return doclink('link-3', 'core', 'link-3');">core</a></tt> <tt class="py-keyword">import</tt> <tt class="py-op">(</tt><tt id="link-4" class="py-name" targets="Class pyxmpp.sasl.core.ClientAuthenticator=pyxmpp.sasl.core.ClientAuthenticator-class.html"><a title="pyxmpp.sasl.core.ClientAuthenticator" class="py-name" href="#" onclick="return doclink('link-4', 'ClientAuthenticator', 'link-4');">ClientAuthenticator</a></tt><tt class="py-op">,</tt><tt id="link-5" class="py-name" targets="Class pyxmpp.sasl.core.Failure=pyxmpp.sasl.core.Failure-class.html"><a title="pyxmpp.sasl.core.Failure" class="py-name" href="#" onclick="return doclink('link-5', 'Failure', 'link-5');">Failure</a></tt><tt class="py-op">,</tt><tt id="link-6" class="py-name" targets="Class pyxmpp.sasl.core.Response=pyxmpp.sasl.core.Response-class.html"><a title="pyxmpp.sasl.core.Response" class="py-name" href="#" onclick="return doclink('link-6', 'Response', 'link-6');">Response</a></tt><tt class="py-op">,</tt><tt id="link-7" class="py-name" targets="Class pyxmpp.sasl.core.Challenge=pyxmpp.sasl.core.Challenge-class.html"><a title="pyxmpp.sasl.core.Challenge" class="py-name" href="#" onclick="return doclink('link-7', 'Challenge', 'link-7');">Challenge</a></tt><tt class="py-op">,</tt><tt id="link-8" class="py-name" targets="Class pyxmpp.sasl.core.Success=pyxmpp.sasl.core.Success-class.html"><a title="pyxmpp.sasl.core.Success" class="py-name" href="#" onclick="return doclink('link-8', 'Success', 'link-8');">Success</a></tt><tt class="py-op">)</tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line"> </tt>
<a name="GSSAPIClientAuthenticator"></a><div id="GSSAPIClientAuthenticator-def"><a name="L32"></a><tt class="py-lineno">32</tt> <a class="py-toggle" href="#" id="GSSAPIClientAuthenticator-toggle" onclick="return toggle('GSSAPIClientAuthenticator');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html">GSSAPIClientAuthenticator</a><tt class="py-op">(</tt><tt class="py-base-class">ClientAuthenticator</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="GSSAPIClientAuthenticator-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="GSSAPIClientAuthenticator-expanded"><a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line">    <tt class="py-docstring">"""Provides client-side GSSAPI SASL (Kerberos 5) authentication."""</tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line"> </tt>
<a name="GSSAPIClientAuthenticator.__init__"></a><div id="GSSAPIClientAuthenticator.__init__-def"><a name="L35"></a><tt class="py-lineno">35</tt> <a class="py-toggle" href="#" id="GSSAPIClientAuthenticator.__init__-toggle" onclick="return toggle('GSSAPIClientAuthenticator.__init__');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt><tt class="py-param">password_manager</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="GSSAPIClientAuthenticator.__init__-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="GSSAPIClientAuthenticator.__init__-expanded"><a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line">        <tt id="link-9" class="py-name"><a title="pyxmpp.sasl.core.ClientAuthenticator" class="py-name" href="#" onclick="return doclink('link-9', 'ClientAuthenticator', 'link-4');">ClientAuthenticator</a></tt><tt class="py-op">.</tt><tt id="link-10" class="py-name" targets="Method pyxmpp.cache.Cache.__init__()=pyxmpp.cache.Cache-class.html#__init__,Method pyxmpp.cache.CacheFetcher.__init__()=pyxmpp.cache.CacheFetcher-class.html#__init__,Method pyxmpp.cache.CacheItem.__init__()=pyxmpp.cache.CacheItem-class.html#__init__,Method pyxmpp.cache.CacheSuite.__init__()=pyxmpp.cache.CacheSuite-class.html#__init__,Method pyxmpp.client.Client.__init__()=pyxmpp.client.Client-class.html#__init__,Method pyxmpp.clientstream.ClientStream.__init__()=pyxmpp.clientstream.ClientStream-class.html#__init__,Method pyxmpp.error.ErrorNode.__init__()=pyxmpp.error.ErrorNode-class.html#__init__,Method pyxmpp.error.StanzaErrorNode.__init__()=pyxmpp.error.StanzaErrorNode-class.html#__init__,Method pyxmpp.error.StreamErrorNode.__init__()=pyxmpp.error.StreamErrorNode-class.html#__init__,Method pyxmpp.exceptions.BadRequestProtocolError.__init__()=pyxmpp.exceptions.BadRequestProtocolError-class.html#__init__,Method pyxmpp.exceptions.FeatureNotImplementedProtocolError.__init__()=pyxmpp.exceptions.FeatureNotImplementedProtocolError-class.html#__init__,Method pyxmpp.exceptions.JIDMalformedProtocolError.__init__()=pyxmpp.exceptions.JIDMalformedProtocolError-class.html#__init__,Method pyxmpp.exceptions.ProtocolError.__init__()=pyxmpp.exceptions.ProtocolError-class.html#__init__,Method pyxmpp.expdict.ExpiringDictionary.__init__()=pyxmpp.expdict.ExpiringDictionary-class.html#__init__,Method pyxmpp.interface_micro_impl.Attribute.__init__()=pyxmpp.interface_micro_impl.Attribute-class.html#__init__,Method pyxmpp.interface_micro_impl.InterfaceClass.__init__()=pyxmpp.interface_micro_impl.InterfaceClass-class.html#__init__,Method pyxmpp.iq.Iq.__init__()=pyxmpp.iq.Iq-class.html#__init__,Method pyxmpp.jabber.client.JabberClient.__init__()=pyxmpp.jabber.client.JabberClient-class.html#__init__,Method pyxmpp.jabber.clientstream.LegacyClientStream.__init__()=pyxmpp.jabber.clientstream.LegacyClientStream-class.html#__init__,Method pyxmpp.jabber.dataforms.Field.__init__()=pyxmpp.jabber.dataforms.Field-class.html#__init__,Method pyxmpp.jabber.dataforms.Form.__init__()=pyxmpp.jabber.dataforms.Form-class.html#__init__,Method pyxmpp.jabber.dataforms.Item.__init__()=pyxmpp.jabber.dataforms.Item-class.html#__init__,Method pyxmpp.jabber.dataforms.Option.__init__()=pyxmpp.jabber.dataforms.Option-class.html#__init__,Method pyxmpp.jabber.delay.Delay.__init__()=pyxmpp.jabber.delay.Delay-class.html#__init__,Method pyxmpp.jabber.disco.DiscoIdentity.__init__()=pyxmpp.jabber.disco.DiscoIdentity-class.html#__init__,Method pyxmpp.jabber.disco.DiscoInfo.__init__()=pyxmpp.jabber.disco.DiscoInfo-class.html#__init__,Method pyxmpp.jabber.disco.DiscoItem.__init__()=pyxmpp.jabber.disco.DiscoItem-class.html#__init__,Method pyxmpp.jabber.disco.DiscoItems.__init__()=pyxmpp.jabber.disco.DiscoItems-class.html#__init__,Method pyxmpp.jabber.muc.MucRoomHandler.__init__()=pyxmpp.jabber.muc.MucRoomHandler-class.html#__init__,Method pyxmpp.jabber.muc.MucRoomManager.__init__()=pyxmpp.jabber.muc.MucRoomManager-class.html#__init__,Method pyxmpp.jabber.muc.MucRoomState.__init__()=pyxmpp.jabber.muc.MucRoomState-class.html#__init__,Method pyxmpp.jabber.muc.MucRoomUser.__init__()=pyxmpp.jabber.muc.MucRoomUser-class.html#__init__,Method pyxmpp.jabber.muccore.HistoryParameters.__init__()=pyxmpp.jabber.muccore.HistoryParameters-class.html#__init__,Method pyxmpp.jabber.muccore.MucIq.__init__()=pyxmpp.jabber.muccore.MucIq-class.html#__init__,Method pyxmpp.jabber.muccore.MucItem.__init__()=pyxmpp.jabber.muccore.MucItem-class.html#__init__,Method pyxmpp.jabber.muccore.MucItemBase.__init__()=pyxmpp.jabber.muccore.MucItemBase-class.html#__init__,Method pyxmpp.jabber.muccore.MucPresence.__init__()=pyxmpp.jabber.muccore.MucPresence-class.html#__init__,Method pyxmpp.jabber.muccore.MucStanzaExt.__init__()=pyxmpp.jabber.muccore.MucStanzaExt-class.html#__init__,Method pyxmpp.jabber.muccore.MucStatus.__init__()=pyxmpp.jabber.muccore.MucStatus-class.html#__init__,Method pyxmpp.jabber.muccore.MucX.__init__()=pyxmpp.jabber.muccore.MucX-class.html#__init__,Method pyxmpp.jabber.muccore.MucXBase.__init__()=pyxmpp.jabber.muccore.MucXBase-class.html#__init__,Method pyxmpp.jabber.register.Register.__init__()=pyxmpp.jabber.register.Register-class.html#__init__,Method pyxmpp.jabber.vcard.VCard.__init__()=pyxmpp.jabber.vcard.VCard-class.html#__init__,Method pyxmpp.jabber.vcard.VCardAdr.__init__()=pyxmpp.jabber.vcard.VCardAdr-class.html#__init__,Method pyxmpp.jabber.vcard.VCardCategories.__init__()=pyxmpp.jabber.vcard.VCardCategories-class.html#__init__,Method pyxmpp.jabber.vcard.VCardEmail.__init__()=pyxmpp.jabber.vcard.VCardEmail-class.html#__init__,Method pyxmpp.jabber.vcard.VCardField.__init__()=pyxmpp.jabber.vcard.VCardField-class.html#__init__,Method pyxmpp.jabber.vcard.VCardGeo.__init__()=pyxmpp.jabber.vcard.VCardGeo-class.html#__init__,Method pyxmpp.jabber.vcard.VCardImage.__init__()=pyxmpp.jabber.vcard.VCardImage-class.html#__init__,Method pyxmpp.jabber.vcard.VCardJID.__init__()=pyxmpp.jabber.vcard.VCardJID-class.html#__init__,Method pyxmpp.jabber.vcard.VCardKey.__init__()=pyxmpp.jabber.vcard.VCardKey-class.html#__init__,Method pyxmpp.jabber.vcard.VCardLabel.__init__()=pyxmpp.jabber.vcard.VCardLabel-class.html#__init__,Method pyxmpp.jabber.vcard.VCardName.__init__()=pyxmpp.jabber.vcard.VCardName-class.html#__init__,Method pyxmpp.jabber.vcard.VCardOrg.__init__()=pyxmpp.jabber.vcard.VCardOrg-class.html#__init__,Method pyxmpp.jabber.vcard.VCardPrivacy.__init__()=pyxmpp.jabber.vcard.VCardPrivacy-class.html#__init__,Method pyxmpp.jabber.vcard.VCardSound.__init__()=pyxmpp.jabber.vcard.VCardSound-class.html#__init__,Method pyxmpp.jabber.vcard.VCardString.__init__()=pyxmpp.jabber.vcard.VCardString-class.html#__init__,Method pyxmpp.jabber.vcard.VCardTel.__init__()=pyxmpp.jabber.vcard.VCardTel-class.html#__init__,Method pyxmpp.jabberd.component.Component.__init__()=pyxmpp.jabberd.component.Component-class.html#__init__,Method pyxmpp.jabberd.componentstream.ComponentStream.__init__()=pyxmpp.jabberd.componentstream.ComponentStream-class.html#__init__,Method pyxmpp.message.Message.__init__()=pyxmpp.message.Message-class.html#__init__,Method pyxmpp.presence.Presence.__init__()=pyxmpp.presence.Presence-class.html#__init__,Method pyxmpp.roster.Roster.__init__()=pyxmpp.roster.Roster-class.html#__init__,Method pyxmpp.roster.RosterItem.__init__()=pyxmpp.roster.RosterItem-class.html#__init__,Method pyxmpp.sasl.core.Challenge.__init__()=pyxmpp.sasl.core.Challenge-class.html#__init__,Method pyxmpp.sasl.core.ClientAuthenticator.__init__()=pyxmpp.sasl.core.ClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.core.Failure.__init__()=pyxmpp.sasl.core.Failure-class.html#__init__,Method pyxmpp.sasl.core.PasswordManager.__init__()=pyxmpp.sasl.core.PasswordManager-class.html#__init__,Method pyxmpp.sasl.core.Reply.__init__()=pyxmpp.sasl.core.Reply-class.html#__init__,Method pyxmpp.sasl.core.Response.__init__()=pyxmpp.sasl.core.Response-class.html#__init__,Method pyxmpp.sasl.core.ServerAuthenticator.__init__()=pyxmpp.sasl.core.ServerAuthenticator-class.html#__init__,Method pyxmpp.sasl.core.Success.__init__()=pyxmpp.sasl.core.Success-class.html#__init__,Method pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.__init__()=pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.__init__()=pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator-class.html#__init__,Method pyxmpp.sasl.external.ExternalClientAuthenticator.__init__()=pyxmpp.sasl.external.ExternalClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.__init__()=pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.plain.PlainClientAuthenticator.__init__()=pyxmpp.sasl.plain.PlainClientAuthenticator-class.html#__init__,Method pyxmpp.sasl.plain.PlainServerAuthenticator.__init__()=pyxmpp.sasl.plain.PlainServerAuthenticator-class.html#__init__,Method pyxmpp.stanza.Stanza.__init__()=pyxmpp.stanza.Stanza-class.html#__init__,Method pyxmpp.stanzaprocessor.StanzaProcessor.__init__()=pyxmpp.stanzaprocessor.StanzaProcessor-class.html#__init__,Method pyxmpp.stream.Stream.__init__()=pyxmpp.stream.Stream-class.html#__init__,Method pyxmpp.streambase.StreamBase.__init__()=pyxmpp.streambase.StreamBase-class.html#__init__,Method pyxmpp.streamsasl.StreamSASLMixIn.__init__()=pyxmpp.streamsasl.StreamSASLMixIn-class.html#__init__,Method pyxmpp.streamtls.StreamTLSMixIn.__init__()=pyxmpp.streamtls.StreamTLSMixIn-class.html#__init__,Method pyxmpp.streamtls.TLSSettings.__init__()=pyxmpp.streamtls.TLSSettings-class.html#__init__,Method pyxmpp.xmlextra.StreamHandler.__init__()=pyxmpp.xmlextra.StreamHandler-class.html#__init__,Method pyxmpp.xmlextra.StreamReader.__init__()=pyxmpp.xmlextra.StreamReader-class.html#__init__,Method pyxmpp.xmlextra._PythonReader.__init__()=pyxmpp.xmlextra._PythonReader-class.html#__init__,Method pyxmpp.xmlextra._SAXCallback.__init__()=pyxmpp.xmlextra._SAXCallback-class.html#__init__,Method pyxmpp.xmppstringprep.LookupFunction.__init__()=pyxmpp.xmppstringprep.LookupFunction-class.html#__init__,Method pyxmpp.xmppstringprep.LookupTable.__init__()=pyxmpp.xmppstringprep.LookupTable-class.html#__init__,Method pyxmpp.xmppstringprep.Profile.__init__()=pyxmpp.xmppstringprep.Profile-class.html#__init__"><a title="pyxmpp.cache.Cache.__init__
pyxmpp.cache.CacheFetcher.__init__
pyxmpp.cache.CacheItem.__init__
pyxmpp.cache.CacheSuite.__init__
pyxmpp.client.Client.__init__
pyxmpp.clientstream.ClientStream.__init__
pyxmpp.error.ErrorNode.__init__
pyxmpp.error.StanzaErrorNode.__init__
pyxmpp.error.StreamErrorNode.__init__
pyxmpp.exceptions.BadRequestProtocolError.__init__
pyxmpp.exceptions.FeatureNotImplementedProtocolError.__init__
pyxmpp.exceptions.JIDMalformedProtocolError.__init__
pyxmpp.exceptions.ProtocolError.__init__
pyxmpp.expdict.ExpiringDictionary.__init__
pyxmpp.interface_micro_impl.Attribute.__init__
pyxmpp.interface_micro_impl.InterfaceClass.__init__
pyxmpp.iq.Iq.__init__
pyxmpp.jabber.client.JabberClient.__init__
pyxmpp.jabber.clientstream.LegacyClientStream.__init__
pyxmpp.jabber.dataforms.Field.__init__
pyxmpp.jabber.dataforms.Form.__init__
pyxmpp.jabber.dataforms.Item.__init__
pyxmpp.jabber.dataforms.Option.__init__
pyxmpp.jabber.delay.Delay.__init__
pyxmpp.jabber.disco.DiscoIdentity.__init__
pyxmpp.jabber.disco.DiscoInfo.__init__
pyxmpp.jabber.disco.DiscoItem.__init__
pyxmpp.jabber.disco.DiscoItems.__init__
pyxmpp.jabber.muc.MucRoomHandler.__init__
pyxmpp.jabber.muc.MucRoomManager.__init__
pyxmpp.jabber.muc.MucRoomState.__init__
pyxmpp.jabber.muc.MucRoomUser.__init__
pyxmpp.jabber.muccore.HistoryParameters.__init__
pyxmpp.jabber.muccore.MucIq.__init__
pyxmpp.jabber.muccore.MucItem.__init__
pyxmpp.jabber.muccore.MucItemBase.__init__
pyxmpp.jabber.muccore.MucPresence.__init__
pyxmpp.jabber.muccore.MucStanzaExt.__init__
pyxmpp.jabber.muccore.MucStatus.__init__
pyxmpp.jabber.muccore.MucX.__init__
pyxmpp.jabber.muccore.MucXBase.__init__
pyxmpp.jabber.register.Register.__init__
pyxmpp.jabber.vcard.VCard.__init__
pyxmpp.jabber.vcard.VCardAdr.__init__
pyxmpp.jabber.vcard.VCardCategories.__init__
pyxmpp.jabber.vcard.VCardEmail.__init__
pyxmpp.jabber.vcard.VCardField.__init__
pyxmpp.jabber.vcard.VCardGeo.__init__
pyxmpp.jabber.vcard.VCardImage.__init__
pyxmpp.jabber.vcard.VCardJID.__init__
pyxmpp.jabber.vcard.VCardKey.__init__
pyxmpp.jabber.vcard.VCardLabel.__init__
pyxmpp.jabber.vcard.VCardName.__init__
pyxmpp.jabber.vcard.VCardOrg.__init__
pyxmpp.jabber.vcard.VCardPrivacy.__init__
pyxmpp.jabber.vcard.VCardSound.__init__
pyxmpp.jabber.vcard.VCardString.__init__
pyxmpp.jabber.vcard.VCardTel.__init__
pyxmpp.jabberd.component.Component.__init__
pyxmpp.jabberd.componentstream.ComponentStream.__init__
pyxmpp.message.Message.__init__
pyxmpp.presence.Presence.__init__
pyxmpp.roster.Roster.__init__
pyxmpp.roster.RosterItem.__init__
pyxmpp.sasl.core.Challenge.__init__
pyxmpp.sasl.core.ClientAuthenticator.__init__
pyxmpp.sasl.core.Failure.__init__
pyxmpp.sasl.core.PasswordManager.__init__
pyxmpp.sasl.core.Reply.__init__
pyxmpp.sasl.core.Response.__init__
pyxmpp.sasl.core.ServerAuthenticator.__init__
pyxmpp.sasl.core.Success.__init__
pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.__init__
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.__init__
pyxmpp.sasl.external.ExternalClientAuthenticator.__init__
pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.__init__
pyxmpp.sasl.plain.PlainClientAuthenticator.__init__
pyxmpp.sasl.plain.PlainServerAuthenticator.__init__
pyxmpp.stanza.Stanza.__init__
pyxmpp.stanzaprocessor.StanzaProcessor.__init__
pyxmpp.stream.Stream.__init__
pyxmpp.streambase.StreamBase.__init__
pyxmpp.streamsasl.StreamSASLMixIn.__init__
pyxmpp.streamtls.StreamTLSMixIn.__init__
pyxmpp.streamtls.TLSSettings.__init__
pyxmpp.xmlextra.StreamHandler.__init__
pyxmpp.xmlextra.StreamReader.__init__
pyxmpp.xmlextra._PythonReader.__init__
pyxmpp.xmlextra._SAXCallback.__init__
pyxmpp.xmppstringprep.LookupFunction.__init__
pyxmpp.xmppstringprep.LookupTable.__init__
pyxmpp.xmppstringprep.Profile.__init__" class="py-name" href="#" onclick="return doclink('link-10', '__init__', 'link-10');">__init__</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">,</tt> <tt class="py-name">password_manager</tt><tt class="py-op">)</tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">password_manager</tt> <tt class="py-op">=</tt> <tt class="py-name">password_manager</tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">__logger</tt> <tt class="py-op">=</tt> <tt class="py-name">logging</tt><tt class="py-op">.</tt><tt class="py-name">getLogger</tt><tt class="py-op">(</tt><tt class="py-string">"pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator"</tt><tt class="py-op">)</tt> </tt>
</div><a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line"> </tt>
<a name="GSSAPIClientAuthenticator.start"></a><div id="GSSAPIClientAuthenticator.start-def"><a name="L40"></a><tt class="py-lineno">40</tt> <a class="py-toggle" href="#" id="GSSAPIClientAuthenticator.start-toggle" onclick="return toggle('GSSAPIClientAuthenticator.start');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html#start">start</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">username</tt><tt class="py-op">,</tt> <tt class="py-param">authzid</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="GSSAPIClientAuthenticator.start-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="GSSAPIClientAuthenticator.start-expanded"><a name="L41"></a><tt class="py-lineno">41</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">username</tt> <tt class="py-op">=</tt> <tt class="py-name">username</tt> </tt>
<a name="L42"></a><tt class="py-lineno">42</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">authzid</tt> <tt class="py-op">=</tt> <tt class="py-name">authzid</tt> </tt>
<a name="L43"></a><tt class="py-lineno">43</tt>  <tt class="py-line">        <tt class="py-name">rc</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">_gss</tt> <tt class="py-op">=</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">authGSSClientInit</tt><tt class="py-op">(</tt><tt class="py-name">authzid</tt> <tt class="py-keyword">or</tt> <tt class="py-string">"%s@%s"</tt> <tt class="py-op">%</tt> <tt class="py-op">(</tt><tt class="py-string">"xmpp"</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">password_manager</tt><tt class="py-op">.</tt><tt id="link-11" class="py-name" targets="Method pyxmpp.clientstream.ClientStream.get_serv_host()=pyxmpp.clientstream.ClientStream-class.html#get_serv_host,Method pyxmpp.sasl.core.PasswordManager.get_serv_host()=pyxmpp.sasl.core.PasswordManager-class.html#get_serv_host"><a title="pyxmpp.clientstream.ClientStream.get_serv_host
pyxmpp.sasl.core.PasswordManager.get_serv_host" class="py-name" href="#" onclick="return doclink('link-11', 'get_serv_host', 'link-11');">get_serv_host</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L44"></a><tt class="py-lineno">44</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">step</tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
<a name="L45"></a><tt class="py-lineno">45</tt>  <tt class="py-line">        <tt class="py-keyword">return</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-12" class="py-name" targets="Method pyxmpp.sasl.core.ClientAuthenticator.challenge()=pyxmpp.sasl.core.ClientAuthenticator-class.html#challenge,Method pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.challenge()=pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator-class.html#challenge,Method pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.challenge()=pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html#challenge,Method pyxmpp.sasl.plain.PlainClientAuthenticator.challenge()=pyxmpp.sasl.plain.PlainClientAuthenticator-class.html#challenge"><a title="pyxmpp.sasl.core.ClientAuthenticator.challenge
pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.challenge
pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.challenge
pyxmpp.sasl.plain.PlainClientAuthenticator.challenge" class="py-name" href="#" onclick="return doclink('link-12', 'challenge', 'link-12');">challenge</a></tt><tt class="py-op">(</tt><tt class="py-string">""</tt><tt class="py-op">)</tt> </tt>
</div><a name="L46"></a><tt class="py-lineno">46</tt>  <tt class="py-line"> </tt>
<a name="GSSAPIClientAuthenticator.challenge"></a><div id="GSSAPIClientAuthenticator.challenge-def"><a name="L47"></a><tt class="py-lineno">47</tt> <a class="py-toggle" href="#" id="GSSAPIClientAuthenticator.challenge-toggle" onclick="return toggle('GSSAPIClientAuthenticator.challenge');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html#challenge">challenge</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">challenge</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="GSSAPIClientAuthenticator.challenge-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="GSSAPIClientAuthenticator.challenge-expanded"><a name="L48"></a><tt class="py-lineno">48</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">step</tt> <tt class="py-op">==</tt> <tt class="py-number">0</tt><tt class="py-op">:</tt> </tt>
<a name="L49"></a><tt class="py-lineno">49</tt>  <tt class="py-line">            <tt class="py-name">rc</tt> <tt class="py-op">=</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">authGSSClientStep</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">_gss</tt><tt class="py-op">,</tt> <tt id="link-13" class="py-name"><a title="pyxmpp.sasl.core.Reply.base64" class="py-name" href="#" onclick="return doclink('link-13', 'base64', 'link-0');">base64</a></tt><tt class="py-op">.</tt><tt class="py-name">b64encode</tt><tt class="py-op">(</tt><tt id="link-14" class="py-name"><a title="pyxmpp.sasl.core.ClientAuthenticator.challenge
pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.challenge
pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.challenge
pyxmpp.sasl.plain.PlainClientAuthenticator.challenge" class="py-name" href="#" onclick="return doclink('link-14', 'challenge', 'link-12');">challenge</a></tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L50"></a><tt class="py-lineno">50</tt>  <tt class="py-line">            <tt class="py-keyword">if</tt> <tt class="py-name">rc</tt> <tt class="py-op">!=</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">AUTH_GSS_CONTINUE</tt><tt class="py-op">:</tt> </tt>
<a name="L51"></a><tt class="py-lineno">51</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">step</tt> <tt class="py-op">=</tt> <tt class="py-number">1</tt> </tt>
<a name="L52"></a><tt class="py-lineno">52</tt>  <tt class="py-line">        <tt class="py-keyword">elif</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">step</tt> <tt class="py-op">==</tt> <tt class="py-number">1</tt><tt class="py-op">:</tt> </tt>
<a name="L53"></a><tt class="py-lineno">53</tt>  <tt class="py-line">            <tt class="py-name">rc</tt> <tt class="py-op">=</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">authGSSClientUnwrap</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">_gss</tt><tt class="py-op">,</tt> <tt id="link-15" class="py-name"><a title="pyxmpp.sasl.core.Reply.base64" class="py-name" href="#" onclick="return doclink('link-15', 'base64', 'link-0');">base64</a></tt><tt class="py-op">.</tt><tt class="py-name">b64encode</tt><tt class="py-op">(</tt><tt id="link-16" class="py-name"><a title="pyxmpp.sasl.core.ClientAuthenticator.challenge
pyxmpp.sasl.digest_md5.DigestMD5ClientAuthenticator.challenge
pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator.challenge
pyxmpp.sasl.plain.PlainClientAuthenticator.challenge" class="py-name" href="#" onclick="return doclink('link-16', 'challenge', 'link-12');">challenge</a></tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L54"></a><tt class="py-lineno">54</tt>  <tt class="py-line">            <tt id="link-17" class="py-name" targets="Method pyxmpp.sasl.core.ServerAuthenticator.response()=pyxmpp.sasl.core.ServerAuthenticator-class.html#response,Method pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.response()=pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator-class.html#response,Method pyxmpp.sasl.plain.PlainServerAuthenticator.response()=pyxmpp.sasl.plain.PlainServerAuthenticator-class.html#response"><a title="pyxmpp.sasl.core.ServerAuthenticator.response
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.response
pyxmpp.sasl.plain.PlainServerAuthenticator.response" class="py-name" href="#" onclick="return doclink('link-17', 'response', 'link-17');">response</a></tt> <tt class="py-op">=</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">authGSSClientResponse</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">_gss</tt><tt class="py-op">)</tt> </tt>
<a name="L55"></a><tt class="py-lineno">55</tt>  <tt class="py-line">            <tt class="py-name">rc</tt> <tt class="py-op">=</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">authGSSClientWrap</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">_gss</tt><tt class="py-op">,</tt> <tt id="link-18" class="py-name"><a title="pyxmpp.sasl.core.ServerAuthenticator.response
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.response
pyxmpp.sasl.plain.PlainServerAuthenticator.response" class="py-name" href="#" onclick="return doclink('link-18', 'response', 'link-17');">response</a></tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">username</tt><tt class="py-op">)</tt> </tt>
<a name="L56"></a><tt class="py-lineno">56</tt>  <tt class="py-line">        <tt id="link-19" class="py-name"><a title="pyxmpp.sasl.core.ServerAuthenticator.response
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.response
pyxmpp.sasl.plain.PlainServerAuthenticator.response" class="py-name" href="#" onclick="return doclink('link-19', 'response', 'link-17');">response</a></tt> <tt class="py-op">=</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">authGSSClientResponse</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">_gss</tt><tt class="py-op">)</tt> </tt>
<a name="L57"></a><tt class="py-lineno">57</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt id="link-20" class="py-name"><a title="pyxmpp.sasl.core.ServerAuthenticator.response
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.response
pyxmpp.sasl.plain.PlainServerAuthenticator.response" class="py-name" href="#" onclick="return doclink('link-20', 'response', 'link-17');">response</a></tt> <tt class="py-keyword">is</tt> <tt class="py-name">None</tt><tt class="py-op">:</tt> </tt>
<a name="L58"></a><tt class="py-lineno">58</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt id="link-21" class="py-name"><a title="pyxmpp.sasl.core.Response" class="py-name" href="#" onclick="return doclink('link-21', 'Response', 'link-6');">Response</a></tt><tt class="py-op">(</tt><tt class="py-string">""</tt><tt class="py-op">)</tt> </tt>
<a name="L59"></a><tt class="py-lineno">59</tt>  <tt class="py-line">        <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L60"></a><tt class="py-lineno">60</tt>  <tt class="py-line">            <tt class="py-keyword">return</tt> <tt id="link-22" class="py-name"><a title="pyxmpp.sasl.core.Response" class="py-name" href="#" onclick="return doclink('link-22', 'Response', 'link-6');">Response</a></tt><tt class="py-op">(</tt><tt id="link-23" class="py-name"><a title="pyxmpp.sasl.core.Reply.base64" class="py-name" href="#" onclick="return doclink('link-23', 'base64', 'link-0');">base64</a></tt><tt class="py-op">.</tt><tt class="py-name">b64decode</tt><tt class="py-op">(</tt><tt id="link-24" class="py-name"><a title="pyxmpp.sasl.core.ServerAuthenticator.response
pyxmpp.sasl.digest_md5.DigestMD5ServerAuthenticator.response
pyxmpp.sasl.plain.PlainServerAuthenticator.response" class="py-name" href="#" onclick="return doclink('link-24', 'response', 'link-17');">response</a></tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
</div><a name="L61"></a><tt class="py-lineno">61</tt>  <tt class="py-line"> </tt>
<a name="GSSAPIClientAuthenticator.finish"></a><div id="GSSAPIClientAuthenticator.finish-def"><a name="L62"></a><tt class="py-lineno">62</tt> <a class="py-toggle" href="#" id="GSSAPIClientAuthenticator.finish-toggle" onclick="return toggle('GSSAPIClientAuthenticator.finish');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.sasl.gssapi.GSSAPIClientAuthenticator-class.html#finish">finish</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">data</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="GSSAPIClientAuthenticator.finish-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="GSSAPIClientAuthenticator.finish-expanded"><a name="L63"></a><tt class="py-lineno">63</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">username</tt> <tt class="py-op">=</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">authGSSClientUserName</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">_gss</tt><tt class="py-op">)</tt> </tt>
<a name="L64"></a><tt class="py-lineno">64</tt>  <tt class="py-line">        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">__logger</tt><tt class="py-op">.</tt><tt class="py-name">debug</tt><tt class="py-op">(</tt><tt class="py-string">"Authenticated as %s"</tt> <tt class="py-op">%</tt> <tt class="py-name">kerberos</tt><tt class="py-op">.</tt><tt class="py-name">authGSSClientUserName</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">_gss</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L65"></a><tt class="py-lineno">65</tt>  <tt class="py-line">        <tt class="py-keyword">return</tt> <tt id="link-25" class="py-name"><a title="pyxmpp.sasl.core.Success" class="py-name" href="#" onclick="return doclink('link-25', 'Success', 'link-8');">Success</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">username</tt><tt class="py-op">,</tt><tt class="py-name">None</tt><tt class="py-op">,</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">authzid</tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L66"></a><tt class="py-lineno">66</tt>  <tt class="py-line"> </tt>
<a name="L67"></a><tt class="py-lineno">67</tt>  <tt class="py-line"> </tt>
<a name="L68"></a><tt class="py-lineno">68</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L69"></a><tt class="py-lineno">69</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:10 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
